import { Application } from "./application";
import { TypeDocOptions } from "./utils/options";
export declare const enum ExitCode {
    OptionError = 1,
    NoInputFiles = 2,
    NoOutput = 3,
    CompileError = 4,
    OutputError = 5
}
export declare class CliApplication extends Application {
    out: string;
    json: string;
    version: boolean;
    help: boolean;
    /**
     * Run TypeDoc from the command line.
     */
    bootstrap(options?: Partial<TypeDocOptions>): {
        hasErrors: boolean;
        inputFiles: string[];
    };
}
