import * as ts from "typescript";
import { ParameterReflection, Reflection, ReflectionKind, SignatureReflection, TypeParameterReflection } from "../../models";
import { Context } from "../context";
export declare function createSignature(context: Context, kind: ReflectionKind.CallSignature | ReflectionKind.ConstructorSignature | ReflectionKind.GetSignature | ReflectionKind.SetSignature, signature: ts.Signature, declaration?: ts.SignatureDeclaration, commentDeclaration?: ts.Node): SignatureReflection;
export declare function convertParameterNodes(context: Context, sigRef: SignatureReflection, parameters: readonly ts.ParameterDeclaration[]): ParameterReflection[];
export declare function convertTypeParameterNodes(context: Context, parent: Reflection, parameters: readonly ts.TypeParameterDeclaration[] | undefined): TypeParameterReflection[] | undefined;
